<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html">http2</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html">MockHTTP2Connection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mock_h_t_t_p2_connection_8h_source.html">MockHTTP2Connection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2Connection\lInterface" alt="" coords="5,5,212,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2Connection\lInterface" alt="" coords="5,5,212,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a03b41569db4f1c7948e2cea41977a932"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a03b41569db4f1c7948e2cea41977a932">MockHTTP2Connection</a> (std::string dURL, std::string pingURL)</td></tr>
<tr class="separator:a03b41569db4f1c7948e2cea41977a932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af216f9c92b34a4dbf2b7c0e951972ca9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#af216f9c92b34a4dbf2b7c0e951972ca9">~MockHTTP2Connection</a> ()=default</td></tr>
<tr class="separator:af216f9c92b34a4dbf2b7c0e951972ca9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaf3f4faab6fb56b7919f5200f1cfdd8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#acaf3f4faab6fb56b7919f5200f1cfdd8">isRequestQueueEmpty</a> ()</td></tr>
<tr class="separator:acaf3f4faab6fb56b7919f5200f1cfdd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6328d641903addbb8cac3320a6f531"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a5d6328d641903addbb8cac3320a6f531">waitForRequest</a> (std::chrono::milliseconds timeout, unsigned requestNum=1)</td></tr>
<tr class="separator:a5d6328d641903addbb8cac3320a6f531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad44c8e1d7147d4671ac911d38fe3b52"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aad44c8e1d7147d4671ac911d38fe3b52">dequeRequest</a> ()</td></tr>
<tr class="separator:aad44c8e1d7147d4671ac911d38fe3b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7a25b5377ecdb6190b3b1d0ec0c9a13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ad7a25b5377ecdb6190b3b1d0ec0c9a13">setWaitRequestHeader</a> (const std::string &amp;matchString)</td></tr>
<tr class="separator:ad7a25b5377ecdb6190b3b1d0ec0c9a13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa12164eae6b3ff036135f241c4948a76"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa12164eae6b3ff036135f241c4948a76">waitForRequestWithHeader</a> (std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:aa12164eae6b3ff036135f241c4948a76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5923cb96afe8bbc60d9455fc5a8d8d54"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a5923cb96afe8bbc60d9455fc5a8d8d54">waitForPostRequest</a> (const std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:a5923cb96afe8bbc60d9455fc5a8d8d54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eb16d6be8cd93db5022ec9da7da5505"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a2eb16d6be8cd93db5022ec9da7da5505">waitForPingRequest</a> (const std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:a2eb16d6be8cd93db5022ec9da7da5505"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc007d1528aba47093b2af215f5495c8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afc007d1528aba47093b2af215f5495c8">respondToDownchannelRequests</a> (long responseCode, bool sendResponseFinished, const std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:afc007d1528aba47093b2af215f5495c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af600d2888fd3f73e088ed7e3e8d8e75b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#af600d2888fd3f73e088ed7e3e8d8e75b">setResponseToPOSTRequests</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">http::HTTPResponseCode</a> responseCode)</td></tr>
<tr class="separator:af600d2888fd3f73e088ed7e3e8d8e75b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a314ecbe9bef579ea5630f0072eb3ad0c"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a314ecbe9bef579ea5630f0072eb3ad0c">getDownchannelRequest</a> (std::chrono::milliseconds timeout=std::chrono::milliseconds(0))</td></tr>
<tr class="separator:a314ecbe9bef579ea5630f0072eb3ad0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e18d00b4ef1a11f057ba73cc9c640a6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a6e18d00b4ef1a11f057ba73cc9c640a6">isPauseOnSendReceived</a> (std::chrono::milliseconds timeout=std::chrono::milliseconds(0))</td></tr>
<tr class="separator:a6e18d00b4ef1a11f057ba73cc9c640a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab13456bfa7e80b6b535ac3b987984670"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ab13456bfa7e80b6b535ac3b987984670">getPostRequestsNum</a> ()</td></tr>
<tr class="separator:ab13456bfa7e80b6b535ac3b987984670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae73ac9e3c91c05bdb6d9d5561c572c69"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#ae73ac9e3c91c05bdb6d9d5561c572c69">getRequestsNum</a> ()</td></tr>
<tr class="separator:ae73ac9e3c91c05bdb6d9d5561c572c69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840e97bf24051d438b107c430fbf2f4e"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a840e97bf24051d438b107c430fbf2f4e">getDownchannelRequestsNum</a> ()</td></tr>
<tr class="separator:a840e97bf24051d438b107c430fbf2f4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a538e1e065983738ed84539c13b7cbd64"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a538e1e065983738ed84539c13b7cbd64">dequePostRequest</a> (const std::chrono::milliseconds timeout)</td></tr>
<tr class="separator:a538e1e065983738ed84539c13b7cbd64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d64348573609658cd74604375f9fe6"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a12d64348573609658cd74604375f9fe6">dequePostRequest</a> ()</td></tr>
<tr class="separator:a12d64348573609658cd74604375f9fe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a844bcc3b252c50d223cb2d109ff33941"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a844bcc3b252c50d223cb2d109ff33941">dequePingRequest</a> ()</td></tr>
<tr class="separator:a844bcc3b252c50d223cb2d109ff33941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa537ac3f87f6934e6b53cc742965edc"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#afa537ac3f87f6934e6b53cc742965edc">getMaxPostRequestsEnqueud</a> ()</td></tr>
<tr class="separator:afa537ac3f87f6934e6b53cc742965edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">HTTP2ConnectionInterface methods</div></td></tr>
<tr class="memitem:aa56f9787b2a1d233a9c197678c2026d0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html">HTTP2RequestInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#aa56f9787b2a1d233a9c197678c2026d0">createAndSendRequest</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">HTTP2RequestConfig</a> &amp;config)</td></tr>
<tr class="separator:aa56f9787b2a1d233a9c197678c2026d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b1ca5815b583e362791ca1c8c2d2845"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_connection.html#a3b1ca5815b583e362791ca1c8c2d2845">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a23a3d2cedcddac0db490af9565b80cb3">disconnect</a>, void())</td></tr>
<tr class="separator:a3b1ca5815b583e362791ca1c8c2d2845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2ConnectionInterface</a></td></tr>
<tr class="memitem:a8e14f579c43f333f44af0ec49ef7423e inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a8e14f579c43f333f44af0ec49ef7423e">~HTTP2ConnectionInterface</a> ()=default</td></tr>
<tr class="separator:a8e14f579c43f333f44af0ec49ef7423e inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23a3d2cedcddac0db490af9565b80cb3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a23a3d2cedcddac0db490af9565b80cb3">disconnect</a> ()=0</td></tr>
<tr class="separator:a23a3d2cedcddac0db490af9565b80cb3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A mock class of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a></code>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a03b41569db4f1c7948e2cea41977a932"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03b41569db4f1c7948e2cea41977a932">&#9670;&nbsp;</a></span>MockHTTP2Connection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::MockHTTP2Connection </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>dURL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>pingURL</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dURL</td><td>The URL for downchannel requests. </td></tr>
    <tr><td class="paramname">pingURL</td><td>The URL for ping requests. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af216f9c92b34a4dbf2b7c0e951972ca9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af216f9c92b34a4dbf2b7c0e951972ca9">&#9670;&nbsp;</a></span>~MockHTTP2Connection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::~MockHTTP2Connection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa56f9787b2a1d233a9c197678c2026d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa56f9787b2a1d233a9c197678c2026d0">&#9670;&nbsp;</a></span>createAndSendRequest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html">HTTP2RequestInterface</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::createAndSendRequest </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_config.html">HTTP2RequestConfig</a> &amp;&#160;</td>
          <td class="paramname"><em>config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create an HTTP2 request. Send it immediately.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">config</td><td>The configuration object which defines the request. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A new HTTP2GetRequest instance. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a72af246d905e86f9e60f7e548a022876">alexaClientSDK::avsCommon::utils::http2::HTTP2ConnectionInterface</a>.</p>

</div>
</div>
<a id="a844bcc3b252c50d223cb2d109ff33941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a844bcc3b252c50d223cb2d109ff33941">&#9670;&nbsp;</a></span>dequePingRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequePingRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a538e1e065983738ed84539c13b7cbd64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a538e1e065983738ed84539c13b7cbd64">&#9670;&nbsp;</a></span>dequePostRequest() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequePostRequest </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a12d64348573609658cd74604375f9fe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12d64348573609658cd74604375f9fe6">&#9670;&nbsp;</a></span>dequePostRequest() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequePostRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aad44c8e1d7147d4671ac911d38fe3b52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad44c8e1d7147d4671ac911d38fe3b52">&#9670;&nbsp;</a></span>dequeRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::dequeRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Pop the latest HTTP2 Request from queue.</p>
<dl class="section return"><dt>Returns</dt><dd>The oldest HTTP2 Request in the queue. </dd></dl>

</div>
</div>
<a id="a314ecbe9bef579ea5630f0072eb3ad0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a314ecbe9bef579ea5630f0072eb3ad0c">&#9670;&nbsp;</a></span>getDownchannelRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getDownchannelRequest </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(0)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Retrieve the first HTTP2 request made on the downchannel.</p>
<dl class="section return"><dt>Returns</dt><dd>The first downchannel request or nullptr if none found </dd></dl>

</div>
</div>
<a id="a840e97bf24051d438b107c430fbf2f4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a840e97bf24051d438b107c430fbf2f4e">&#9670;&nbsp;</a></span>getDownchannelRequestsNum()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getDownchannelRequestsNum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afa537ac3f87f6934e6b53cc742965edc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa537ac3f87f6934e6b53cc742965edc">&#9670;&nbsp;</a></span>getMaxPostRequestsEnqueud()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getMaxPostRequestsEnqueud </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab13456bfa7e80b6b535ac3b987984670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab13456bfa7e80b6b535ac3b987984670">&#9670;&nbsp;</a></span>getPostRequestsNum()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getPostRequestsNum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae73ac9e3c91c05bdb6d9d5561c572c69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae73ac9e3c91c05bdb6d9d5561c572c69">&#9670;&nbsp;</a></span>getRequestsNum()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::getRequestsNum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e18d00b4ef1a11f057ba73cc9c640a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e18d00b4ef1a11f057ba73cc9c640a6">&#9670;&nbsp;</a></span>isPauseOnSendReceived()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::isPauseOnSendReceived </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(0)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Check if a pause is received while sending data.</p>
<dl class="section return"><dt>Returns</dt><dd>True if a pause is received, false otherwise </dd></dl>

</div>
</div>
<a id="acaf3f4faab6fb56b7919f5200f1cfdd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaf3f4faab6fb56b7919f5200f1cfdd8">&#9670;&nbsp;</a></span>isRequestQueueEmpty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::isRequestQueueEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Check whether there are any HTTP requests sent.</p>
<dl class="section return"><dt>Returns</dt><dd>True if there are no HTTP requests sent by <code>HTTP2Transport</code>. </dd></dl>

</div>
</div>
<a id="a3b1ca5815b583e362791ca1c8c2d2845"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b1ca5815b583e362791ca1c8c2d2845">&#9670;&nbsp;</a></span>MOCK_METHOD0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html#a23a3d2cedcddac0db490af9565b80cb3">disconnect</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afc007d1528aba47093b2af215f5495c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc007d1528aba47093b2af215f5495c8">&#9670;&nbsp;</a></span>respondToDownchannelRequests()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::respondToDownchannelRequests </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>responseCode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>sendResponseFinished</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Respond to downchannel requests with a response code and notify onResponseFinished() if needed.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">responseCode</td><td>The HTTP response code to reply. </td></tr>
    <tr><td class="paramname">sendResponseFinished</td><td>True if needed to notify onResponseFinished(), otherwise false. </td></tr>
    <tr><td class="paramname">timeout</td><td>Timeout for wating for downchannel HTTP2 requests. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if a response has been sent to the downchannel request before timeout, otherwise false. </dd></dl>

</div>
</div>
<a id="af600d2888fd3f73e088ed7e3e8d8e75b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af600d2888fd3f73e088ed7e3e8d8e75b">&#9670;&nbsp;</a></span>setResponseToPOSTRequests()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::setResponseToPOSTRequests </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#ac0bd21aabffbf134eb81295b65839893">http::HTTPResponseCode</a>&#160;</td>
          <td class="paramname"><em>responseCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the response code for POST requests that will be immediately replied when an HTTP POST request is sent.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">responseCode</td><td>The HTTP response code to reply to the request. If set to <code>HTTPResponseCode::HTTP_RESPONSE_CODE_UNDEFINED</code>, a response code will not be sent. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad7a25b5377ecdb6190b3b1d0ec0c9a13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7a25b5377ecdb6190b3b1d0ec0c9a13">&#9670;&nbsp;</a></span>setWaitRequestHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::setWaitRequestHeader </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>matchString</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Set the Header content to be matched by <code>waitForRequestWithHeader</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matchString</td><td>The contents of the header to match. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2eb16d6be8cd93db5022ec9da7da5505"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eb16d6be8cd93db5022ec9da7da5505">&#9670;&nbsp;</a></span>waitForPingRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForPingRequest </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Wait for a Ping HTTP2request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The wait timeout in milliseconds. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the Ping request if there is one before the timeout occurs, otherwise nullptr </dd></dl>

</div>
</div>
<a id="a5923cb96afe8bbc60d9455fc5a8d8d54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5923cb96afe8bbc60d9455fc5a8d8d54">&#9670;&nbsp;</a></span>waitForPostRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForPostRequest </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Wait for a POST HTTP2request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The wait timeout in milliseconds. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the POST request if there is one before the timeout occurs, otherwise nullptr </dd></dl>

</div>
</div>
<a id="a5d6328d641903addbb8cac3320a6f531"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d6328d641903addbb8cac3320a6f531">&#9670;&nbsp;</a></span>waitForRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1test_1_1_mock_h_t_t_p2_request.html">MockHTTP2Request</a> &gt; alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForRequest </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>requestNum</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Wait for an HTTP request to be sent.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>Wait timeout in milliseconds. </td></tr>
    <tr><td class="paramname">requestNum</td><td>The number of HTTP2 requests to wait for. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the request if there is one before the timeout occurs, otherwise nullptr </dd></dl>

</div>
</div>
<a id="aa12164eae6b3ff036135f241c4948a76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa12164eae6b3ff036135f241c4948a76">&#9670;&nbsp;</a></span>waitForRequestWithHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::test::MockHTTP2Connection::waitForRequestWithHeader </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Wait for a request with a particular Header content.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The wait timeout in milliseconds </td></tr>
    <tr><td class="paramname">matchString</td><td>The contents of the header that it is waiting for </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if a match occurred before timeout </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/ACL/test/Transport/<a class="el" href="_mock_h_t_t_p2_connection_8h_source.html">MockHTTP2Connection.h</a></li>
<li>/workplace/avs-device-sdk/ACL/test/Transport/Common/<a class="el" href="_mock_h_t_t_p2_connection_8cpp.html">MockHTTP2Connection.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
